<?php session_start();
include ('../inc/dbcon.php');
include ('../inc/functions.php');
include ('../inc/imgpro.php');
if(isset($_SESSION["axeslogin"]) && $_SESSION["axeslogin"] == true){
get_pagesecurity('10','views','R');     
$_SESSION['cuPages']='main_sellerlist';   
$cuPage='main_sellerlist';    
$aid=$_SESSION['uid'];
$brid=$_SESSION['abrid']; 
}else{
header('Location:../index.php');
exit;    
}
$mhead='client';
$menuh='Client Setup';
$phead='sellerlist';
$page='Exchanger List';
$dtnow = date("Y-m-d h:i:s", time());
?>
<?php
include('../layout/head.php');
include('../layout/header.php');
include('../layout/side_nav.php');
?>
<?php 
if(isset($_POST['delsel'])){
$id=$_POST['delsel'];
$name=get_fild_data('tbl_seller',$id,'name');   
$sql="DELETE FROM tbl_seller WHERE id='$id'";
$query=mysqli_query($con,$sql)or die(mysqli_error($con));
$efid=mysqli_affected_rows($con);    
if($efid>0){
get_destroy($id,'M'); 
get_destroy($id,'N');    
get_destroye($id,'S'); 
get_destroye($id,'L'); 
$act =remove_junk(escape('Exchanger name: '.$name));    
write_activity($aid,'SLR','Exchanger has been deleted',$act);       
save_msg('s','Exchanger Successfully Deleted!!!');
}else{
save_msg('w','Exchanger Fail to Delete!!!');   
}
echo "<script>window.location='main_sellerlist.php'</script>";     
}
?>
<div class="content-wrapper">
<?php include('../layout/page_head.php'); ?>
<!-- Main content -->
<section class="content">
    
<div class="row">
<div class="col-md-9">
<div class="box box-solid">
<div class="box-header with-border">
<h3 class="box-title">Exchanger List</h3>
</div>
<div class="box-body">
<?php echo display_msg();?>    
<div class="col-md-12 table-responsive">
<table class="table table-bordered table-striped" id="datarec">
<thead>
<tr>
<th style="width:40px;">SN</th>
<th>Image</th> 
<th>Name</th>    
<th>Contract Name</th>
<th style="min-width:150px;">Mobile</th>
<th>Address</th>    
<th style="width:40px; text-align:center;">Action</th>    
</tr>    
</thead>    
<tbody>
<?php
$sql="SELECT * FROM tbl_seller ORDER BY name ASC";    
$query=mysqli_query($con,$sql)or die(mysqli_error($con));
while ($row=mysqli_fetch_array($query)){
$id=$row['id'];
?>
<tr>
<td class="center"><?php echo count_id();?></td>
<td><img src="../img/member/
<?php if(empty($row['mimage'])){echo 'no_image.png';}else{echo $row['mimage'];} ?> " style='width:60px;height:60px;'></td>  
<td><?php echo $row['name'];?></td>     
<td><?php echo $row['cname'];?></td>
<td><?php echo $row['mobile'];?></td>
<td><?php echo $row['address'];?></td>    
<td nowrap="">
<a class="btn btn-flat bg-purple details-invoice" href="#" id="inv_<?php echo $row['id']?>"><i class="fa fa-eye cat-child"></i></a>    
<a class="btn btn-flat bg-purple" href="#" onclick="edit_item('ED_<?php echo $row['id'];?>')"><i class="fa fa-edit"></i></a> 
<a class="btn btn-flat bg-purple" href="#" onclick="remove_item('DL_<?php echo $row['id'];?>')"><i class="fa fa-trash"></i></a>
<form action="main_sellerlist.php" id="DL_<?php echo $row['id'];?>" method="post" >
<input type="hidden" name="delsel" value="<?php echo $row['id']; ?>" />
</form>
<form action="main_selleredit.php" id="ED_<?php echo $row['id'];?>" method="post" >
<input type="hidden" name="editseller" value="<?php echo $row['id']; ?>" />
</form>    
</td>    
</tr>    
<?php } ?>    
</tbody>   
</table>
</div>
<div class="clearfix" ></div>  
<div class="row"style="margin-top: 15px" >
<div class="col-md-12 table-responsive">    
<div class="col-md-8"></div>
<div class="col-md-4 text-right" >
<a href="main_sellercreate.php" class="btn btn-flat bg-purple">Add Exchanger</a>
</div>
</div>    
</div>    
</div>
</div>
</div>
<div class="col-md-3">
<div class="row">
<div class="col-md-12">
<div class="box box-solid">
<div class="box-header">
<h3 class="box-title">History </h3>
</div>
<!-- /.box-header -->
<div class="box-body" >
<?php if($_SESSION['access']=='1'){echo read_activity($aid,'SLR','A');}else{echo read_activity($aid,'SLR','U');}?>
</div>
</div>
</div>
</div>
</div>
</div>

<?php include('../layout/print.php'); ?>  
<?php include('../layout/quick.php');?>    
</section>
<!-- /.main content -->
<?php include('../layout/rside.php'); ?> 

<div id="invdata" style="display: none;"></div>    
</div>
<?php
include('../layout/footer.php');
?>
<!-- page script -->
<script type="text/javascript">
$(document).ready(function() {
$('#datarec').DataTable({stateSave: true});
});
    
function take_action(id) {
document.getElementById(id).submit(); 
}
function edit_item(id) {
   document.getElementById(id).submit(); 
}
    
function remove_item(id) {
bootbox.confirm({
title: "Confirm",
message: "Are you sure to delete ?",
buttons: {
confirm: {
label: 'Yes',
className: 'btn-flat bg-purple'
},
cancel: {
label: 'Cancel',
className: 'btn-flat bg-gray'
}
},
callback: function (result) {
if (result == true) {
document.getElementById(id).submit();
}
}
});
}

function callPrintType(){
var ptype = $('#prtype').val();
invid = $("li.invpiv.active").attr('id');
inv = invid.split("_");

$.ajax({
url: 'main_sellerview.php',
method: "POST",
data:{ 
print: inv[1], key: ptype 
},
beforeSend: function() {
//$("#invhold").fadeOut('slow');
},    
success: function(data){    
$('#invhold').html(data);
$("#invhold").fadeIn('slow');    
sethead();    
}
});   
}    
    
$(".details-invoice").click(function (e) {
id_arr = $(this).attr('id');
id = id_arr.split("_");

$.ajax({
url: 'main_sellerviewlist.php',
method: "POST",
data:{ 
invid: id[1]
},
success: function(data){
$('#listitem').html(data);
pagelist();    
}
});    
    
$.ajax({
url: 'main_sellerview.php',
method: "POST",
data:{ 
print: id[1], key: 'invonly'
},
success: function(data){
$('#invhold').html(data);
sethead();    
}
});
    
$('.right-side').toggle('slide', { direction: 'right' }, 300);    

e.preventDefault();
});

$(document).on('click', '#closepop', function() {
if($('.right-side').is(':visible')) { $('.right-side').toggle('slide', { direction: 'right' }, 300); }   
});    

$('#listitem').on('click','li', function(){
   $(this).addClass('active').siblings().removeClass('active');
});
    
$(document).on('click', '.invpiv', function() {
var ptype = $('#prtype').val();    
id_arr = $(this).attr('id');
id = id_arr.split("_");
var ids = id[1];
$.ajax({
url: 'main_sellerview.php',
method: "POST",
data:{ 
print: ids, key: ptype
},
beforeSend: function() {
//$("#invhold").fadeOut('slow');
},    
success: function(data){    
$('#invhold').html(data);
$("#invhold").fadeIn('slow');    
sethead();    
}
});     
});
    
    
</script>      
<!-- /page script -->



</html>